diff --git a/gcc/analyzer/constraint-manager.cc b/gcc/analyzer/constraint-manager.cc
index be51e79a4b9..d1e0a02d348 100644
--- a/gcc/analyzer/constraint-manager.cc
+++ b/gcc/analyzer/constraint-manager.cc
@@ -1244,18 +1244,18 @@ constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
 	    if (eq == boolean_true_node)
 	      {
 		ec->add (sval);
-		return equiv_class2_id (i);
+		return equiv_class_id (i);
 	      }
 	  }
     }
 
 
   /* Not found.  */
-  equiv_class2 *new_ec = new equiv_class2 ();
+  equiv_class *new_ec = new equiv_class ();
   new_ec->add (sval);
   m_equiv_classes.safe_push (new_ec);
 
-  equiv_class2_id new_id (m_equiv_classes.length () - 1);
+  equiv_class_id new_id (m_equiv_classes.length () - 1);
 
   if (sval->maybe_get_constant ())
     {
@@ -1263,10 +1263,10 @@ constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
 	 to other constants we may have (so that we accumulate the transitive
 	 closure of all constraints on constants as the constants are
 	 added).  */
-      for (equiv_class2_id other_id (0); other_id.m_idx < new_id.m_idx;
+      for (equiv_class_id other_id (0); other_id.m_idx < new_id.m_idx;
 	   other_id.m_idx++)
 	{
-	  const equiv_class2 &other_ec = other_id.get_obj (*this);
+	  const equiv_class &other_ec = other_id.get_obj (*this);
 	  if (other_ec.m_constant
 	      && types_compatible_p (TREE_TYPE (new_ec->m_constant),
 				     TREE_TYPE (other_ec.m_constant)))
@@ -1279,13 +1279,13 @@ constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
 		= fold_binary (LT_EXPR, boolean_type_node,
 			       new_ec->m_constant, other_ec.m_constant);
 	      if (lt == boolean_true_node)
-		add_constraint_internal (new_id, CONSTRAINT2_LT, other_id);
+		add_constraint_internal (new_id, CONSTRAINT_LT, other_id);
 	      else if (lt == boolean_false_node)
-		add_constraint_internal (other_id, CONSTRAINT2_LT, new_id);
+		add_constraint_internal (other_id, CONSTRAINT_LT, new_id);
 	      /* Refresh new_id, in case ECs were merged.  SVAL should always
 		 be present by now, so this should never lead to a
 		 recursion.  */
-	      new_id = get_or_add_equiv_class2 (sval);
+	      new_id = get_or_add_equiv_class (sval);
 	    }
 	}
     }
@@ -1296,9 +1296,9 @@ constraint_manager2::get_or_add_equiv_class2 (const svalue2 *sval)
 /* Evaluate the condition LHS_EC OP RHS_EC.  */
 
 tristate
-constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
+constraint_manager::eval_condition (equiv_class_id lhs_ec,
 				    enum tree_code op,
-				    equiv_class2_id rhs_ec) const
+				    equiv_class_id rhs_ec) const
 {
   if (lhs_ec == rhs_ec)
     {
@@ -1331,7 +1331,7 @@ constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
   enum tree_code swapped_op = swap_tree_comparison (op);
 
   int i;
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       if (c->m_lhs == lhs_ec
@@ -1356,13 +1356,13 @@ constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
   return tristate (tristate::TS_UNKNOWN);
 }
 
-range2
-constraint_manager2::get_ec_bounds (equiv_class2_id ec_id) const
+range
+constraint_manager::get_ec_bounds (equiv_class_id ec_id) const
 {
-  range2 result;
+  range result;
 
   int i;
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       if (c->m_lhs == ec_id)
@@ -1372,17 +1372,17 @@ constraint_manager2::get_ec_bounds (equiv_class2_id ec_id) const
 	      {
 	      default:
 		gcc_unreachable ();
-	      case CONSTRAINT2_NE:
+	      case CONSTRAINT_NE:
 		continue;
 
-	      case CONSTRAINT2_LT:
+	      case CONSTRAINT_LT:
 		/* We have "EC_ID < OTHER_CST".  */
-		result.m_upper_bound = bound2 (other_cst, false);
+		result.m_upper_bound = bound (other_cst, false);
 		break;
 
-	      case CONSTRAINT2_LE:
+	      case CONSTRAINT_LE:
 		/* We have "EC_ID <= OTHER_CST".  */
-		result.m_upper_bound = bound2 (other_cst, true);
+		result.m_upper_bound = bound (other_cst, true);
 		break;
 	      }
 	}
@@ -1393,19 +1393,19 @@ constraint_manager2::get_ec_bounds (equiv_class2_id ec_id) const
 	      {
 	      default:
 		gcc_unreachable ();
-	      case CONSTRAINT2_NE:
+	      case CONSTRAINT_NE:
 		continue;
 
-	      case CONSTRAINT2_LT:
+	      case CONSTRAINT_LT:
 		/* We have "OTHER_CST < EC_ID"
 		   i.e. "EC_ID > OTHER_CST".  */
-		result.m_lower_bound = bound2 (other_cst, false);
+		result.m_lower_bound = bound (other_cst, false);
 		break;
 
-	      case CONSTRAINT2_LE:
+	      case CONSTRAINT_LE:
 		/* We have "OTHER_CST <= EC_ID"
 		   i.e. "EC_ID >= OTHER_CST".  */
-		result.m_lower_bound = bound2 (other_cst, true);
+		result.m_lower_bound = bound (other_cst, true);
 		break;
 	      }
 	}
@@ -1416,10 +1416,10 @@ constraint_manager2::get_ec_bounds (equiv_class2_id ec_id) const
 
 
 /* Evaluate the condition LHS_EC OP RHS_CONST, avoiding the creation
-   of equiv_class2 instances.  */
+   of equiv_class instances.  */
 
 tristate
-constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
+constraint_manager::eval_condition (equiv_class_id lhs_ec,
 				     enum tree_code op,
 				     tree rhs_const) const
 {
@@ -1438,10 +1438,10 @@ constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
        ptr == (foo *)0
      to be false.  */
   int i;
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
-      if (c->m_op == CONSTRAINT2_NE)
+      if (c->m_op == CONSTRAINT_NE)
 	{
 	  if (c->m_lhs == lhs_ec)
 	    {
@@ -1480,27 +1480,27 @@ constraint_manager2::eval_condition (equiv_class2_id lhs_ec,
 	}
     }
   /* Look at existing bounds on LHS_EC.  */
-  range2 lhs_bounds = get_ec_bounds (lhs_ec);
+  range lhs_bounds = get_ec_bounds (lhs_ec);
   return lhs_bounds.eval_condition (op, rhs_const);
 }
 
 // FIXME:
 /* Evaluate the condition LHS OP RHS, avoiding the creation
-   of equiv_class2 instances.  */
+   of equiv_class instances.  */
 
 tristate
-constraint_manager2::eval_condition (const svalue2 *lhs,
+constraint_manager::eval_condition (const svalue *lhs,
 				     enum tree_code op,
-				     const svalue2 *rhs) const
+				     const svalue *rhs) const
 {
   lhs = lhs->unwrap_any_unmergeable ();
   rhs = rhs->unwrap_any_unmergeable ();
 
   /* Nothing can be known about unknown or poisoned values.  */
-  if (lhs->get_kind () == svalue2::SK_UNKNOWN
-      || lhs->get_kind () == svalue2::SK_POISONED
-      || rhs->get_kind () == svalue2::SK_UNKNOWN
-      || rhs->get_kind () == svalue2::SK_POISONED)
+  if (lhs->get_kind () == svalue::SK_UNKNOWN
+      || lhs->get_kind () == svalue::SK_POISONED
+      || rhs->get_kind () == svalue::SK_UNKNOWN
+      || rhs->get_kind () == svalue::SK_POISONED)
     return tristate (tristate::TS_UNKNOWN);
 
   if (lhs == rhs
@@ -1523,10 +1523,10 @@ constraint_manager2::eval_condition (const svalue2 *lhs,
 	}
     }
 
-  equiv_class2_id lhs_ec (-1);
-  equiv_class2_id rhs_ec (-1);
-  get_equiv_class2_by_svalue2 (lhs, &lhs_ec);
-  get_equiv_class2_by_svalue2 (rhs, &rhs_ec);
+  equiv_class_id lhs_ec (-1);
+  equiv_class_id rhs_ec (-1);
+  get_equiv_class_by_svalue (lhs, &lhs_ec);
+  get_equiv_class_by_svalue (rhs, &rhs_ec);
   if (!lhs_ec.null_p () && !rhs_ec.null_p ())
     {
       tristate result_for_ecs
@@ -1571,23 +1571,23 @@ constraint_manager2::eval_condition (const svalue2 *lhs,
   return tristate (tristate::TS_UNKNOWN);
 }
 
-/* Delete any information about svalue2_id instances identified by P.
+/* Delete any information about svalues identified by P.
    Such instances are removed from equivalence classes, and any
    redundant ECs and constraints are also removed.
    Accumulate stats into STATS.  */
 
 template <typename PurgeCriteria>
 void
-constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
+constraint_manager::purge (const PurgeCriteria &p, purge_stats *stats)
 {
-  /* Delete any svalue2_ids identified by P within the various equivalence
+  /* Delete any svalues identified by P within the various equivalence
      classes.  */
   for (unsigned ec_idx = 0; ec_idx < m_equiv_classes.length (); )
     {
-      equiv_class2 *ec = m_equiv_classes[ec_idx];
+      equiv_class *ec = m_equiv_classes[ec_idx];
 
       int i;
-      const svalue2 *sval;
+      const svalue *sval;
       bool delete_ec = false;
       FOR_EACH_VEC_ELT (ec->m_vars, i, sval)
 	{
@@ -1611,7 +1611,7 @@ constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
 	  /* Update the constraints, potentially removing some.  */
 	  for (unsigned con_idx = 0; con_idx < m_constraints.length (); )
 	    {
-	      constraint2 *c = &m_constraints[con_idx];
+	      constraint *c = &m_constraints[con_idx];
 
 	      /* Remove constraints that refer to the deleted EC.  */
 	      if (c->m_lhs == ec_idx
@@ -1639,7 +1639,7 @@ constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
   /* Now delete any constraints that are purely between constants.  */
   for (unsigned con_idx = 0; con_idx < m_constraints.length (); )
     {
-      constraint2 *c = &m_constraints[con_idx];
+      constraint *c = &m_constraints[con_idx];
       if (m_equiv_classes[c->m_lhs.m_idx]->m_vars.length () == 0
 	  && m_equiv_classes[c->m_rhs.m_idx]->m_vars.length () == 0)
 	{
@@ -1657,15 +1657,15 @@ constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
      referenced by any constraints.  */
   for (unsigned ec_idx = 0; ec_idx < m_equiv_classes.length (); )
     {
-      equiv_class2 *ec = m_equiv_classes[ec_idx];
+      equiv_class *ec = m_equiv_classes[ec_idx];
       if (ec->m_vars.length () == 0)
 	{
-	  equiv_class2_id ec_id (ec_idx);
+	  equiv_class_id ec_id (ec_idx);
 	  bool has_constraint = false;
 	  for (unsigned con_idx = 0; con_idx < m_constraints.length ();
 	       con_idx++)
 	    {
-	      constraint2 *c = &m_constraints[con_idx];
+	      constraint *c = &m_constraints[con_idx];
 	      if (c->m_lhs == ec_id
 		  || c->m_rhs == ec_id)
 		{
@@ -1685,7 +1685,7 @@ constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
 	      for (unsigned con_idx = 0; con_idx < m_constraints.length ();
 		   con_idx++)
 		{
-		  constraint2 *c = &m_constraints[con_idx];
+		  constraint *c = &m_constraints[con_idx];
 		  c->m_lhs.update_for_removal (ec_idx);
 		  c->m_rhs.update_for_removal (ec_idx);
 		}
@@ -1703,46 +1703,46 @@ constraint_manager2::purge (const PurgeCriteria &p, purge_stats2 *stats)
 class dead_svalue_purger
 {
 public:
-  dead_svalue_purger (const hash_set<const svalue2 *> &live_svalues,
-		      const region_model2 *model)
+  dead_svalue_purger (const hash_set<const svalue *> &live_svalues,
+		      const region_model *model)
   : m_live_svalues (live_svalues), m_model (model)
   {
   }
 
-  bool should_purge_p (const svalue2 *sval) const
+  bool should_purge_p (const svalue *sval) const
   {
     return !sval->live_p (m_live_svalues, m_model);
   }
 
 private:
-  const hash_set<const svalue2 *> &m_live_svalues;
-  const region_model2 *m_model;
+  const hash_set<const svalue *> &m_live_svalues;
+  const region_model *m_model;
 };
 
 /* Purge dead svalues from equivalence classes and update constraints
    accordingly.  */
 
 void
-constraint_manager2::
-on_liveness_change (const hash_set<const svalue2 *> &live_svalues,
-		    const region_model2 *model)
+constraint_manager::
+on_liveness_change (const hash_set<const svalue *> &live_svalues,
+		    const region_model *model)
 {
   dead_svalue_purger p (live_svalues, model);
   purge (p, NULL);
 }
 
-/* Comparator for use by constraint_manager2::canonicalize.
-   Sort a pair of equiv_class2 instances, using the representative
-   svalue2_id as a sort key.  */
+/* Comparator for use by constraint_manager::canonicalize.
+   Sort a pair of equiv_class instances, using the representative
+   svalue as a sort key.  */
 
 static int
-equiv_class2_cmp (const void *p1, const void *p2)
+equiv_class_cmp (const void *p1, const void *p2)
 {
-  const equiv_class2 *ec1 = *(const equiv_class2 * const *)p1;
-  const equiv_class2 *ec2 = *(const equiv_class2 * const *)p2;
+  const equiv_class *ec1 = *(const equiv_class * const *)p1;
+  const equiv_class *ec2 = *(const equiv_class * const *)p2;
 
-  const svalue2 *rep1 = ec1->get_representative ();
-  const svalue2 *rep2 = ec2->get_representative ();
+  const svalue *rep1 = ec1->get_representative ();
+  const svalue *rep2 = ec2->get_representative ();
 
   gcc_assert (rep1);
   gcc_assert (rep2);
@@ -1754,14 +1754,14 @@ equiv_class2_cmp (const void *p1, const void *p2)
   return 0;
 }
 
-/* Comparator for use by constraint_manager2::canonicalize.
+/* Comparator for use by constraint_manager::canonicalize.
    Sort a pair of constraint instances.  */
 
 static int
 constraint_cmp (const void *p1, const void *p2)
 {
-  const constraint2 *c1 = (const constraint2 *)p1;
-  const constraint2 *c2 = (const constraint2 *)p2;
+  const constraint *c1 = (const constraint *)p1;
+  const constraint *c2 = (const constraint *)p2;
   int lhs_cmp = c1->m_lhs.as_int () - c2->m_lhs.as_int ();
   if (lhs_cmp)
     return lhs_cmp;
@@ -1772,15 +1772,15 @@ constraint_cmp (const void *p1, const void *p2)
 }
 
 /* Purge redundant equivalence classes and constraints, and reorder them
-   within this constraint_manager2 into a canonical order, to increase the
+   within this constraint_manager into a canonical order, to increase the
    chances of finding equality with another instance.  */
 
 void
-constraint_manager2::canonicalize ()
+constraint_manager::canonicalize ()
 {
-  /* First, sort svalue2s within the ECs.  */
+  /* First, sort svalues within the ECs.  */
   unsigned i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     ec->canonicalize ();
 
@@ -1788,22 +1788,22 @@ constraint_manager2::canonicalize ()
      thus implicit.  But does this break transitivity?  */
 
   /* We will be purging and reordering ECs.
-     We will need to remap the equiv_class2_ids in the constraints,
+     We will need to remap the equiv_class_ids in the constraints,
      so we need to store the original index of each EC.
-     Build a lookup table, mapping from the representative svalue2
-     to the original equiv_class2_id of that svalue2.  */
-  hash_map<const svalue2 *, equiv_class2_id> original_ec_id;
+     Build a lookup table, mapping from the representative svalue
+     to the original equiv_class_id of that svalue.  */
+  hash_map<const svalue *, equiv_class_id> original_ec_id;
   const unsigned orig_num_equiv_classes = m_equiv_classes.length ();
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
-      const svalue2 *rep = ec->get_representative ();
+      const svalue *rep = ec->get_representative ();
       gcc_assert (rep);
       original_ec_id.put (rep, i);
     }
 
   /* Find ECs used by constraints.  */
-  hash_set<const equiv_class2 *> used_ecs;
-  constraint2 *c;
+  hash_set<const equiv_class *> used_ecs;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       used_ecs.add (m_equiv_classes[c->m_lhs.as_int ()]);
@@ -1811,14 +1811,14 @@ constraint_manager2::canonicalize ()
     }
 
   /* Purge unused ECs: those that aren't used by constraints and
-     that effectively have only one svalue2 (either in m_constant
+     that effectively have only one svalue (either in m_constant
      or in m_vars).  */
   {
     /* "unordered remove if" from a vec.  */
     unsigned i = 0;
     while (i < m_equiv_classes.length ())
       {
-	equiv_class2 *ec = m_equiv_classes[i];
+	equiv_class *ec = m_equiv_classes[i];
 	if (!used_ecs.contains (ec)
 	    && ((ec->m_vars.length () < 2 && ec->m_constant == NULL_TREE)
 		|| (ec->m_vars.length () == 0)))
@@ -1832,13 +1832,13 @@ constraint_manager2::canonicalize ()
   }
 
   /* Next, sort the surviving ECs into a canonical order.  */
-  m_equiv_classes.qsort (equiv_class2_cmp);
+  m_equiv_classes.qsort (equiv_class_cmp);
 
   /* Populate ec_id_map based on the old vs new EC ids.  */
-  one_way_id_map<equiv_class2_id> ec_id_map (orig_num_equiv_classes);
+  one_way_id_map<equiv_class_id> ec_id_map (orig_num_equiv_classes);
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
-      const svalue2 *rep = ec->get_representative ();
+      const svalue *rep = ec->get_representative ();
       gcc_assert (rep);
       ec_id_map.put (*original_ec_id.get (rep), i);
     }
@@ -1854,43 +1854,43 @@ constraint_manager2::canonicalize ()
   m_constraints.qsort (constraint_cmp);
 }
 
-/* A concrete subclass of constraint_manager2 for use when
-   merging two constraint_manager2 into a third constraint_manager2,
-   each of which has its own region_model2.
-   Calls are delegated to the constraint_manager2 for the merged model,
-   and thus affect its region_model2.  */
+/* A concrete subclass of constraint_manager for use when
+   merging two constraint_manager into a third constraint_manager,
+   each of which has its own region_model.
+   Calls are delegated to the constraint_manager for the merged model,
+   and thus affect its region_model.  */
 #if 0
-class cleaned_constraint_manager2 : public constraint_manager2
+class cleaned_constraint_manager : public constraint_manager
 {
 public:
-  cleaned_constraint_manager2 (constraint_manager2 *merged)
-  : constraint_manager2 (merged->m_mgr),
+  cleaned_constraint_manager (constraint_manager *merged)
+  : constraint_manager (merged->m_mgr),
     m_merged (merged) {}
 
 #if 0
-  constraint_manager2 *clone (region_model2 *) const FINAL OVERRIDE
+  constraint_manager *clone (region_model *) const FINAL OVERRIDE
   {
     gcc_unreachable ();
   }
 #endif
 private:
-  constraint_manager2 *m_merged;
+  constraint_manager *m_merged;
 };
 #endif
-/* Concrete subclass of fact_visitor for use by constraint_manager2::merge.
+/* Concrete subclass of fact_visitor for use by constraint_manager::merge.
    For every fact in CM_A, see if it is also true in *CM_B.  Add such
    facts to *OUT.  */
 
-class merger2_fact_visitor : public fact2_visitor
+class merger_fact_visitor : public fact_visitor
 {
 public:
-  merger2_fact_visitor (constraint_manager2 *cm_b,
-			constraint_manager2 *out,
-			const model2_merger &merger)
+  merger_fact_visitor (constraint_manager *cm_b,
+			constraint_manager *out,
+			const model_merger &merger)
   : m_cm_b (cm_b), m_out (out), m_merger (merger)
   {}
 
-  void on_fact (const svalue2 *lhs, enum tree_code code, const svalue2 *rhs)
+  void on_fact (const svalue *lhs, enum tree_code code, const svalue *rhs)
     FINAL OVERRIDE
   {
     /* If we merged (M BINOP X) with M
@@ -1901,12 +1901,12 @@ public:
     // TODO: we need to fix eval_condition for this to work.
 #if ITERATED_BINOPS
     unsigned i;
-    const binop_svalue2 *binop;
+    const binop_svalue *binop;
     FOR_EACH_VEC_ELT (m_merger.m_iterated_binops, i, binop)
       {
 	if (binop->get_arg0 () == lhs)
 	  {
-	    region_model2_manager *mgr = m_merger.get_manager ();
+	    region_model_manager *mgr = m_merger.get_manager ();
 	    rhs = mgr->get_or_create_binop (rhs->get_type (),
 					    binop->get_op (),
 					    rhs, binop->get_arg1 ());
@@ -1917,8 +1917,8 @@ public:
     /* Special-case for widening.  */
     /* FIXME: should only do this if LHS isn't mentioned anywhere in
        m_cm_b's model, rather than just in m_cb_b?  */
-    if (lhs->get_kind () == svalue2::SK_WIDENING)
-      if (!m_cm_b->get_equiv_class2_by_svalue2 (lhs, NULL))
+    if (lhs->get_kind () == svalue::SK_WIDENING)
+      if (!m_cm_b->get_equiv_class_by_svalue (lhs, NULL))
 	{
 	  /* LHS isn't constrained within m_cm_b.  */
 	  /* FIXME: for now, treat it as "unmentioned".  */
@@ -1935,116 +1935,56 @@ public:
   }
 
 private:
-  constraint_manager2 *m_cm_b;
-  constraint_manager2 *m_out;
-  const model2_merger &m_merger;
+  constraint_manager *m_cm_b;
+  constraint_manager *m_out;
+  const model_merger &m_merger;
 };
 
 // FIXME
 /* Use MERGER to merge CM_A and CM_B into *OUT.
-   If one thinks of a constraint_manager2 as a subset of N-dimensional
+   If one thinks of a constraint_manager as a subset of N-dimensional
    space, this takes the union of the points of CM_A and CM_B, and
    expresses that into *OUT.  Alternatively, it can be thought of
    as the intersection of the constraints.  */
 
 void
-constraint_manager2::merge (const constraint_manager2 &cm_a,
-			    const constraint_manager2 &cm_b,
-			    constraint_manager2 *out,
-			    const model2_merger &merger)
+constraint_manager::merge (const constraint_manager &cm_a,
+			    const constraint_manager &cm_b,
+			    constraint_manager *out,
+			    const model_merger &merger)
 {
   /* FIXME: work with a copy, since eval_condition can mutate a cm.  */
-  constraint_manager2 copy_cm_a (cm_a);
-  constraint_manager2 copy_cm_b (cm_b);
+  constraint_manager copy_cm_a (cm_a);
+  constraint_manager copy_cm_b (cm_b);
 
   /* Merge the equivalence classes and constraints.
      The easiest way to do this seems to be to enumerate all of the facts
      in cm_a, see which are also true in cm_b,
      and add those to *OUT.  */
-  merger2_fact_visitor v (&copy_cm_b, out, merger);
+  merger_fact_visitor v (&copy_cm_b, out, merger);
   copy_cm_a.for_each_fact (&v);
 
   /* FIXME and the other way around, since things could be implicit in one
      and explicit in the other?  */
 }
 
-/* A subroutine of constraint_manager2::merge.
-   Use MAP_SVAL_TO_M to map equivalence classes and constraints from
-   SM_IN to *OUT.  Purge any non-constant svalue2 *that don't appear
-   in the result of MAP_SVAL_TO_M, purging any ECs and their constraints
-   that become empty as a result.  Potentially create svalue2s in
-   the merged region_model2 for constants that weren't already in use there.  */
-#if 0
-void
-constraint_manager2::
-clean_merger_input (const constraint_manager2 &cm_in,
-		    const one_way_svalue2_id_map &map_sval_to_m,
-		    constraint_manager2 *out)
-{
-  one_way_id_map<equiv_class2_id> map_ec_to_m
-    (cm_in.m_equiv_classes.length ());
-  unsigned ec_idx;
-  equiv_class2 *ec;
-  FOR_EACH_VEC_ELT (cm_in.m_equiv_classes, ec_idx, ec)
-    {
-      equiv_class2 cleaned_ec;
-      if (tree cst = ec->get_any_constant ())
-	{
-	  cleaned_ec.m_constant = cst;
-	  /* Lazily create the constant in the out region_model2.  */
-	  cleaned_ec.m_cst_sval = out->get_sval_for_constant (cst);
-	}
-      unsigned var_idx;
-      const svalue2 **var_in_sval;
-      FOR_EACH_VEC_ELT (ec->m_vars, var_idx, var_in_sval)
-	{
-	  const svalue2 *var_m_sval
-	    = map_sval_to_m.get_dst_for_src (*var_in_sval);
-	  if (!var_m_sval.null_p ())
-	    cleaned_ec.m_vars.safe_push (var_m_sval);
-	}
-      if (cleaned_ec.get_any_constant () || !cleaned_ec.m_vars.is_empty ())
-	{
-	  map_ec_to_m.put (ec_idx, out->m_equiv_classes.length ());
-	  out->m_equiv_classes.safe_push (new equiv_class2 (cleaned_ec));
-	}
-    }
-
-  /* Write out to *OUT any constraints for which both svales survived
-     cleaning, using the new EC IDs.  */
-  unsigned con_idx;
-  constraint2 *c;
-  FOR_EACH_VEC_ELT (cm_in.m_constraints, con_idx, c)
-    {
-      equiv_class2_id new_lhs = map_ec_to_m.get_dst_for_src (c->m_lhs);
-      if (new_lhs.null_p ())
-	continue;
-      equiv_class2_id new_rhs = map_ec_to_m.get_dst_for_src (c->m_rhs);
-      if (new_rhs.null_p ())
-	continue;
-      out->m_constraints.safe_push (constraint (new_lhs,
-						c->m_op,
-						new_rhs));
-    }
-}
-#endif
 /* Call VISITOR's on_fact vfunc repeatedly to express the various
    equivalence classes and constraints.
-   This is used by constraint_manager2::merge to find the common
-   facts between two input constraint_manager2s.  */
+   This is used by constraint_manager::merge to find the common
+   facts between two input constraint_managers.  */
 
 void
-constraint_manager2::for_each_fact (fact2_visitor *visitor) const
+constraint_manager::for_each_fact (fact_visitor *visitor) const
 {
   /* First, call EQ_EXPR within the various equivalence classes.  */
   unsigned ec_idx;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, ec_idx, ec)
     {
       if (ec->m_cst_sval)
 	{
 	  unsigned i;
-	  const svalue2 *sval;
+	  const svalue *sval;
 	  FOR_EACH_VEC_ELT (ec->m_vars, i, sval)
 	    visitor->on_fact (ec->m_cst_sval, EQ_EXPR, sval);
 	}
@@ -2055,12 +1995,12 @@ constraint_manager2::for_each_fact (fact2_visitor *visitor) const
 
   /* Now, express the various constraints.  */
   unsigned con_idx;
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, con_idx, c)
     {
-      const equiv_class2 &ec_lhs = c->m_lhs.get_obj (*this);
-      const equiv_class2 &ec_rhs = c->m_rhs.get_obj (*this);
-      enum tree_code code = constraint2_tree_code (c->m_op);
+      const equiv_class &ec_lhs = c->m_lhs.get_obj (*this);
+      const equiv_class &ec_rhs = c->m_rhs.get_obj (*this);
+      enum tree_code code = constraint_tree_code (c->m_op);
 
       if (ec_lhs.m_cst_sval)
 	{
@@ -2082,7 +2022,7 @@ constraint_manager2::for_each_fact (fact2_visitor *visitor) const
 /* Assert that this object is valid.  */
 
 void
-constraint_manager2::validate () const
+constraint_manager::validate () const
 {
   /* Skip this in a release build.  */
 #if !CHECKING_P
@@ -2090,13 +2030,13 @@ constraint_manager2::validate () const
 #endif
 
   int i;
-  equiv_class2 *ec;
+  equiv_class *ec;
   FOR_EACH_VEC_ELT (m_equiv_classes, i, ec)
     {
       gcc_assert (ec);
 
       int j;
-      const svalue2 *sval;
+      const svalue *sval;
       FOR_EACH_VEC_ELT (ec->m_vars, j, sval)
 	gcc_assert (sval);
       if (ec->m_constant)
@@ -2110,7 +2050,7 @@ constraint_manager2::validate () const
 #endif
     }
 
-  constraint2 *c;
+  constraint *c;
   FOR_EACH_VEC_ELT (m_constraints, i, c)
     {
       gcc_assert (!c->m_lhs.null_p ());
@@ -2124,13 +2064,12 @@ constraint_manager2::validate () const
 
 namespace selftest {
 
-/* Various constraint_manager2 selftests.
-   These have to be written in terms of a region_model2, since
-   the latter is responsible for managing svalue2 and svalue2_id
-   instances.  */
+/* Various constraint_manager selftests.
+   These have to be written in terms of a region_model, since
+   the latter is responsible for managing svalue instances.  */
 
-/* Verify that setting and getting simple conditions within a region_model2
-   work (thus exercising the underlying constraint_manager2).  */
+/* Verify that setting and getting simple conditions within a region_model
+   work (thus exercising the underlying constraint_manager).  */
 
 static void
 test_constraint_conditions ()
